# $Revision: 1.19 $, $Date: 2009/03/16 12:08:33 $
Summary:	Small fast daemon to serve DNSBLs
Summary(pl.UTF-8):	Mały, szybki demon obsługujący zapytania DNSBL
Name:		rbldnsd
Version:	0.996b
Release:	1
License:	GPL v2+
Group:		Networking/Daemons
Source0:	http://www.corpit.ru/mjt/rbldnsd/%{name}_%{version}.tar.gz
# Source0-md5:	9a0f26f3b33764c325a96bd4c61b26fa
Source1:	%{name}.init
URL:		http://www.corpit.ru/mjt/rbldnsd.html
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Provides:	group(rbldns)
Provides:	user(rbldns)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_homedir	/var/lib/rbldns
%define 	_logdir		/var/log/rbldns

%description
rbldnsd is a small authoritate-only DNS nameserver designed to serve
DNS-based blocklists (DNSBLs). It may handle IP-based and name-based
blocklists.

%description -l pl.UTF-8
rbldnsd to mały, wyłącznie autorytatywny serwer nazw (DNS)
zaprojektowany do udostępniania list blokujących opartych na DNS-ie
(DNSBL). Może obsługiwać listy blokujące oparte na IP lub nazwach.

%prep
%setup -q

%build
# not autoconf configure
CFLAGS="%{rpmcflags}" \
CC="%{__cc}" \
./configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8,/etc/{sysconfig,rc.d/init.d}}
install -d $RPM_BUILD_ROOT{%{_homedir},%{_logdir}}

install rbldnsd $RPM_BUILD_ROOT%{_sbindir}
install rbldnsd.8 $RPM_BUILD_ROOT%{_mandir}/man8
install debian/rbldnsd.default $RPM_BUILD_ROOT/etc/sysconfig/rbldnsd
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/rbldnsd

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 83 rbldns
%useradd -u 37 -r -d %{_homedir} -M -g rbldns -s /bin/false -c "rbldnsd pseudo-user" rbldns

%post
/sbin/chkconfig --add rbldnsd
%service rbldnsd restart

%preun
if [ "$1" = "0" ]; then
	%service rbldnsd stop
	/sbin/chkconfig --del rbldnsd
fi

%postun
if [ "$1" = "0" ]; then
	%userremove rbldns
	%groupremove rbldns
fi

%files
%defattr(644,root,root,755)
%doc NEWS TODO debian/changelog CHANGES-0.81 README.user
%attr(755,root,root) %{_sbindir}/rbldnsd
%attr(754,root,root) /etc/rc.d/init.d/rbldnsd
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rbldnsd
%{_mandir}/man8/rbldnsd.8*
%dir %{_homedir}
%dir %attr(775,root,rbldns) %{_logdir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rbldnsd.spec,v $
Revision 1.19  2009/03/16 12:08:33  glen
- add logdir

Revision 1.18  2009/03/14 11:40:03  duddits
- up to 0.996b

Revision 1.17  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.15  2006/09/08 18:03:40  glen
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.14  2006/04/15 14:09:18  glen
- rel 2

Revision 1.13  2006/02/20 18:24:30  glen
- completed todo, rel 1; STBR for Ac

Revision 1.12  2006/02/17 10:43:16  glen
- use %service

Revision 1.11  2005/12/04 23:17:15  glen
- adapterized (sorted %verify flags)

Revision 1.10  2005/05/13 12:48:25  zbyniu
- up to 0.995

Revision 1.9  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.8  2005/01/15 12:39:44  matowy
- up to 0.994

Revision 1.7  2004/11/19 19:00:27  darekr
- updated to 0.993.1
- add README.user to %doc

Revision 1.6  2004/08/20 21:33:11  ankry
- use %userremove/%groupremove, some cosmetics

Revision 1.5  2004/01/27 15:26:05  eothane
- double %post

Revision 1.4  2004/01/27 14:35:27  qboosh
- pl, some cleanups

Revision 1.3  2004/01/24 12:44:33  eothane
- adapterization continues, still far from ready

Revision 1.2  2004/01/23 19:28:23  eothane
- for a start ./adapter.awk
